<?php

//
// ウェブ関連
//

// GET, POST チェック用正規表現
define('CV_TEXT'  ,'/^.+$/');
define('CV_ALNUM' ,'/^[[:alnum:]]+$/');  // アルファベットと数値、[:alpha:] + [:digit:]
define('CV_ALPHA' ,'/^[[:alpha:]]+$/');  // 大小文字アルファベット、 [:lower:] + [:upper:]
define('CV_LOWER' ,'/^[[:lower:]]+$/');  // 小文字アルファベット
define('CV_UPPER' ,'/^[[:upper:]]+$/');  // 大文字アルファベット
define('CV_DIGIT' ,'/^[[:digit:]]+$/');  // 数値
define('CV_BLANK' ,'/^[[:blank:]]+$/');  // 空白文字、スペースとタブ
define('CV_CNTRL' ,'/^[[:cntrl:]]+$/');  // 制御文字(000-037, 177('DEL')
define('CV_GRAPH' ,'/^[[:graph:]]+$/');  // グラフィカル文字 ([:alnum:] と [:punct:])|
define('CV_PRINT' ,'/^[[:print:]]+$/');  // 印字可能な文字、[:alnum:] + [:punct:] + space
define('CV_PUNCT' ,'/^[[:punct:]]+$/');  // パンクチュエーション文字 ! " # $ % & ' ( ) * + , - . /
define('CV_SPACE' ,'/^[[:space:]]+$/');  // 空白文字、タブ、改行、水平タブ、給紙、キャリッジリターン、空白
define('CV_XDIGIT','/^[[:xdigit:]]+$/'); // 16進数 0 1 2 3 4 5 6 7 8 9 A B C D E F a b c d e f
define('CV_MD5'   ,'/^[a-z0-9]{32}$/');  // md5ハッシュ値
define('CV_EMAIL' ,'/^[\w.-]+\@([\w-]+\.)+\w+$/'); // メールアドレス

// GET, POST パラメータチェック
function check_request($var,$chk='',$def='') {

	$val = isset($_REQUEST[$var]) ? $_REQUEST[$var] : $def;
	if ($chk!='') {
		if (preg_match($chk,$val)==0) {
			$val = $def;
		}
	}

	$_REQUEST[$var] = $val;

	return $val;
}

// 一般変数の内容チェック
function check_value(&$val,$pat,$def) {

	if (preg_match($pat,$val)==0) {
		$val = $def;
	}

	return $val;
}


//
// ファイル操作関連
//

// ファイルパスより拡張子を返す
function common__get_fileext($path) {

	$p = strrpos($path,'.');
	if ($p!==false) {
		$ext = substr($path,$p+1);
	} else {
		$ext = '';
	}

	return $ext;
}

?>